[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SetTextLineEnding

Set the end-of-line character for the given text file.

## Declaration

Source position: systemh.inc line 975

`procedure SetTextLineEnding(`
`var f: Text;`
`Ending: string`
`);`

## Description

SetTextLineEnding sets the end-of-line character for the text file F to Ending. By default, this is the string indicated by DefaultTextLineBreakStyle.

## Errors

None.

## See also

DefaultTextLineBreakStyle |  | Default line ending style.
TTextLineBreakStyle |  | Text line break style. (end of line character)

Documentation generated on: Feb 26 2014